package GUIAnwendungen;

import java.awt.Color;
import java.awt.Color;
import javax.swing.JFrame;
import javax.swing.JLabel;
import java.awt.FlowLayout;
import java.awt.Font;
import java.text.SimpleDateFormat;
import java.awt.Font;

import javax.swing.BorderFactory;
import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.border.Border;

/*
 * JLabel =  ist ein GUI Anzeiger für hinzufügen von Texten und Bildern
 */

public class Labels {
   


	public static void main(String[] args) {
		// Erstelle eine Label
		JLabel label = new JLabel(); 
		
		// Erstelle einen Border für das Fenster
		Border b1 = BorderFactory.createLineBorder(Color.GREEN,5);
		
		// füge den Text auf dem Fenster hinzu
		label.setText("Hall Welt");
		
		
		/*
		 * - Mit diesen zwei Methode positioniere ich den Text auf dem Bild 
		 * 		1. setHorizontalTextPosition(JLabel.CENTER); set Text LEFT,CENTER,RIGHT auf dem Bild
		 * 		2. label.setVerticalTextPosition(JLabel.TOP);set Text TOP,CENTER, DOWN auf dem Bild
		 * - man kann auch integer Werte eingeben
		 */
		label.setHorizontalTextPosition(JLabel.CENTER); // Horozional
		label.setVerticalTextPosition(JLabel.TOP); // vertikal
		
		// gib für den Schrifft eine Farbe aus der Klasse Color ein
			// entweder: 
			label.setForeground(Color.GREEN);
			// oder:
			label.setForeground(new Color(0,0,100));
		
		//gib Schriftart aus der Klasse Font ein
		label.setFont(new Font("MV Boli",Font.PLAIN,20));
		
		// verschiebe den Text nach beliebg Position 
		label.setIconTextGap(20);
		
		// setze eine Farbe für Background 
		label.setBackground(Color.black);
		label.setOpaque(true);
		
		//zeige den Border auf dem Fenster
		label.setBorder(b1);
		 
		
		//füge ein Bild hinzu
		ImageIcon image = new ImageIcon("C:\\Users\\obaya\\eclipse-workspace\\OOP\\src\\GUIAnwendungen\\Test.jpg");
		label.setIcon(image);
		
		 
		// Erstelle ein Fenster
		JFrame frame = new JFrame();
		// setSize(width, height)
		frame.setSize(500, 500);

		// setzte einen Überschrift für mein Fenster
		frame.setTitle("Mein erstes Fenster");
		
		//setVisible(boolean): gibt an, ob mein Fenster sichtbar ist oder nicht
		frame.setVisible(true);
		
		// zeige den Text auf dem Fenster 
		frame.add(label);                           
		
	}

}


